Subject: Re: Re: [OSPF] draft-ietf-ospf-ospfv3-graceful-restart-03

From: "Vivek Dubey" <[email-masked]>
Date: 8 May 2006 05:13:09 -0000

Hi Acee,
It takes care of my concern.

Thanks
Vivek

On Fri, 05 May 2006 Acee Lindem wrote :
>Hi Vivek,
>
>Ok - if I explain the problem in section 2.3 as I did below (only more
>elegantly :^), will that eliminate your concern? Since, heretofore, this is are
>only WG Last Call comment, I'm compelled to address it.
>
>Thanks,
>Acee
>
>Vivek Dubey wrote:
>
>>Acee,
>>I agree/understand the, reasons to keep Interface-Id same across restarts.
>>But the current phrasing seems to imply that reason for preserving Interface-Id is to keep "the pre-restart and post-restart LSAs same".
>>
>>The phrasing used in explanation below is more clear.
>>
>>Thanks
>>Vivek
>>
>>
>>On Wed, 03 May 2006 Acee Lindem wrote :
>>  
>>>Vivek,
>>>
>>>Vivek Dubey wrote:
>>>
>>>    
>>>>Section 3.2:
>>>>If this were not the case, the pre-restart and post-restart LSAs wouldn't be the same and the restart would be disruptive.
>>>>
>>>><vivek> If "post-restart" here means "after router undergoing restart has exited/exiting graceful-restart", it is supposed to reoriginate LSAs as per Section 2.3 RFC 3623. Description in Section 2.3 RFC 3623 does not mandate the contents to be same. Than why do pre-restart and post-restart LSAs need to be same?
>>>>
>>>>Preservation of Interface IDs have more to do with figuring out whether restarting router has re-established all its adjacencies.
>>>>
>>>>      
>>>Since the interface ID is in the link data for OSPFv3 router LSAs, a change in interface ID
>>>could result in a mismatch between neighbor adjacency state for the restarting router and
>>>the pre-restart router LSA. Synchronizing the change across the restarting router and
>>>the helping routers would be very difficult (if not next to impossible) and would probably
>>>result in unreachability or premature graceful restart termination. It is much better for the
>>>restarting router to preserve this state across restarts.
>>>
>>>Hope this helps,
>>>Acee
>>>
>>>    
>>>>-Vivek
>>>>
>>>>
>>>>
>>>>
>>>>------------------------------------------------------------------------
>>>>
>>>>_______________________________________________
>>>>OSPF mailing list
>>>>[email-masked]
>>>>https://www1.ietf.org/mailman/listinfo/ospf
>>>>
>>>>      
>>
>>  
_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf